rules:
  # Bronze
  action-setup:
    status: exempt
    comment: |
      This integration does not provide additional actions.
  appropriate-polling: done
  brands: done
  common-modules:
    status: todo
    comment: |
      The entity.py file is not used in this integration.
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: |
      This integration does not provide additional actions.
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: |
      Entities of this integration does not explicitly subscribe to events.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: |
      This integration does not provide additional actions.
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: |
      This integration does not have an options flow.
  docs-installation-parameters: done
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable: done
  parallel-updates:
    status: exempt
    comment: |
      This integration only polls data using a coordinator.
      Since the integration is read-only and poll-only (only provide sensor
      data), there is no need to implement parallel updates.
  reauthentication-flow: done
  test-coverage: done

  # Gold
  devices: done
  diagnostics: done
  discovery-update-info:
    status: exempt
    comment: |
      This integration cannot be discovered, it is a connecting to a service
      provider, which uses the users home address to get the data.
  discovery:
    status: exempt
    comment: |
      This integration cannot be discovered, it is a connecting to a service
      provider, which uses the users home address to get the data.
  docs-data-update: done
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices:
    status: exempt
    comment: |
      This is an service, which doesn't integrate with any devices.
  docs-supported-functions: done
  docs-troubleshooting: todo
  docs-use-cases: done
  dynamic-devices: todo
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default:
    status: exempt
    comment: |
      This integration does not have any entities that should disabled by default.
  entity-translations: done
  exception-translations: done
  icon-translations: done
  reconfiguration-flow: todo
  repair-issues:
    status: exempt
    comment: |
      This integration doesn't have any cases where raising an issue is needed.
  stale-devices: todo
  # Platinum
  async-dependency: done
  inject-websession: done
  strict-typing: done
